# lecle_downloads_path_provider

A Flutter project to get the downloads folder path from Android and iOS device.

## How to use

- Simply import the package from Gitlab with the syntax below under dependencies in pubspec.yaml file and run flutter command **flutter pub get** in
  terminal
  
  `dependencies:`\
    &emsp;`flutter:` \
    &emsp;&emsp;`sdk:flutter`

  `lecle_downloads_path_provider: <latest version>`

- Add `<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />` to your AndroidManifest.xml

## Example
`import 'package:lecle_downloads_path_provider/lecle_downloads_path_provider.dart';`

* **If you want to get the different directory path (default type is Downloads directory)**\
`import 'package:lecle_downloads_path_provider/constants/downloads_directory_type.dart';`

* **Default use**\
`Directory? downloadsDirectory = await DownloadsPath.downloadsDirectory();`\
`String? downloadsDirectoryPath = (await DownloadsPath.downloadsDirectory())?.path;`

* **With custom directory type**\
`var dirType = DownloadDirectoryTypes.dcim;`\
`Directory? downloadsDirectory = await DownloadsPath.downloadsDirectory(dirType: dirPath);`\
`String? downloadsDirectoryPath = (await DownloadsPath.downloadsDirectory(dirType: dirPath))?.path`
