#import "DownloadsPlugin.h"
#if __has_include(<downloads/downloads-Swift.h>)
#import <downloads/downloads-Swift.h>
#else
// Support project import fallback if the generated compatibility header
// is not copied when this plugin is created as a library.
// https://forums.swift.org/t/swift-static-libraries-dont-copy-generated-objective-c-header/19816
#import "downloads-Swift.h"
#endif

@implementation DownloadsPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    FlutterMethodChannel* channel = [FlutterMethodChannel
                                     methodChannelWithName:@"downloads_path"
                                     binaryMessenger:[registrar messenger]];
    DownloadsPlugin* instance = [[DownloadsPlugin alloc] init];
    [registrar addMethodCallDelegate:instance channel:channel];

    [SwiftDownloadsPlugin registerWithRegistrar:registrar];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
    if ([call.method isEqualToString:@"getDownloadsDirectory"]) {
        result([self getDownloadsDirectory]);
    } else {
        result(FlutterMethodNotImplemented);
    }
}

- (NSString*)getDownloadsDirectory {
    NSArray* paths = NSSearchPathForDirectoriesInDomains(NSDownloadsDirectory, NSUserDomainMask, YES);
    return paths.firstObject;
}

@end
